Bug 1014347 - RFE: Unify user locale handling
RFE: Unify user locale handling
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-01 15:07 EDT by Marko Myllynen
Modified: 2015-06-29 08:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 08:31:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2013-10-01 15:07:41 EDT
Description of problem:
Currently on Fedora 20 system locale is nicely set in /etc/locale.conf and systemd offers (in addition to the traditional text editor based approach) both localectl [1] and localed API [2] to change it as needed.

However, user locale and language is affected at least by three different files on Fedora 20 (in addition to /etc/locale.conf):

/home/$USER/.i18n (used at least by shell init scripts)
/home/$USER/.config/dconf/user (used by GNOME)
/var/lib/AccountsService/users/$USER (used by GDM)

I think it would be worth considering to extend localectl/localed to also provide means to change user locale as well. Smart applications would use the same methods to determine user locale as they use to determine system locale currently, they would be notified on user locale changes on the fly as they are noticed now on system locale changes, user locale settings would be unified to a single file (~/.i18n would be the most compatible option), and localectl/localed would make sure only a user with proper privileges would be able to change user locales.

Additional info:
1) http://www.freedesktop.org/software/systemd/man/localectl.html
2) http://www.freedesktop.org/wiki/Software/systemd/localed/
Comment 1 Marko Myllynen 2014-07-01 08:08:05 EDT
Ideally, also user locales would be possible to use with LOCPATH, see locale(1) for description of LOCPATH (and remotely related bug 1101860):


Comment 2 Fedora End Of Life 2015-05-29 05:29:46 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-06-29 08:31:07 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.